bm::gamma_encoder< T, TBitIO > Class Template Reference
Elias Gamma Code (internal)

Functor for Elias Gamma encoding. More...

`#include <encoding.h>`

Inheritance diagram for bm::gamma_encoder< T, TBitIO >:
[legend]

## Public Member Functions

| gamma_encoder (TBitIO &bout)
void | operator() (T value)
| Encode word.

## Detailed Description

template<typename T, typename TBitIO>
class bm::gamma_encoder< T, TBitIO >

Functor for Elias Gamma encoding.

Definition at line 340 of file encoding.h.

## Constructor & Destructor Documentation

## gamma_encoder()

template<typename T, typename TBitIO>

bm::gamma_encoder< T, TBitIO >::gamma_encoder | ( | TBitIO & | bout | ) |

inline

Definition at line 343 of file encoding.h.

## Member Function Documentation

## operator()()

template<typename T, typename TBitIO>

void bm::gamma_encoder< T, TBitIO >::operator() | ( | T | value | ) |

inline

Encode word.

Definition at line 347 of file encoding.h.

The documentation for this class was generated from the following file:

- encoding.h